Subject: Re: bug#51685: 29.0.50; Yanking from clipboard broken (Win10)

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 08 Nov 2021 14:41:19 +0100

Eli Zaretskii <[email-masked]> writes:

> The existing code carefully side-steps the decoding by looking at the
> foreign-selection property on the string, which the Windows code
> doesn't set.  But your changes removed that test, and thus caused the
> clipboard text to be decoded on Windows.

Ah, I see.  Thanks for the explanation.  I plan on getting my Windows
VMs up and running again (I'm in the middle of switching some computers
here) so that I can do some testing on Windows too, and then I'll
attempt the fix again.  😀

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no